Subject: New word: tittup

From: Snibor Eoj <[email-masked]>
Date: Fri, 5 Sep 2003 13:22:05 -0400 (EDT)

The moral of the story is that y'all should stop voting for my defs, 
because I clearly don't have the same vocabulary as you, and can't find 
words you don't know.  Many people knew that a leman is a sweetheart or 
lover.  Some even knew that it applies particularly to a mistress.  
Several of you quoted song lyrics at me.  All from different songs, too.

So how 'bout tittup?

Snibor Eoj

[email-masked]                     http://journal.oygevalt.org/
----------------------------------------------------------------------
I'm a member of the Non-Sequitur Association of America
  "You can lead a yak to water, but you can't teach an old dog to make
   a silk purse out of a pig in a poke."  - Opus